﻿namespace ConsoleApp2.Options;

public class DatabaseOutputOptions
{
    public string? ConnectionString { get; set; }

    public int MaxAllowedPacket { get; set; } = 64 * 1024 * 1024;

    public int FlushCount { get; set; } = 10000;

    public int MaxDatabaseOutputTask { get; set; } = 4;

    public bool TreatJsonAsHex { get; set; } = true;
    

    /// <summary>
    /// 配置导入数据的特殊列
    /// </summary>
    public Dictionary<string, ColumnType> ColumnTypeConfig { get; set; } = new(); // "table.column" -> type

    public ColumnType GetColumnType(string table, string column)
    {
        return ColumnTypeConfig.GetValueOrDefault($"{table}.{column}", ColumnType.UnDefine);
    }
}